<script setup lang="ts">
import { storeToRefs } from 'pinia'
import _ from 'lodash'
import { useZoomClientStore } from '~~/store/zoomClient'

const zoomClient = useZoomClientStore()
const { participantsList } = storeToRefs(zoomClient)
const objs = computed(() => [
  {
    title: '視聴',
    text: `${_.size(participantsList.value)} 人`,
    icon: 'i-bi:person-fill',
  },
  {
    title: 'エントリー',
    text: `${3} 人`,
    icon: 'i-akar-icons:paper',
  },
])
</script>

<template>
  <div class="grid grid-cols-3 py-2 mb-2 rounded-lg bg-white dark:bg-neutral-900 items-end">
    <div v-for="obj in objs" :key="obj.title" class="flex flex-col items-center">
      <div>{{ obj.title }}</div>
      <div class="text-lg flex items-center">
        <div class="inline-block mr-4" :class="obj.icon" />
        <b>{{ obj.text }}</b>
      </div>
    </div>
  </div>
</template>

<style scoped></style>
